WinCrypt.CryptGetSignerCertificateCallback (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinCrypt, interface: CryptGetSignerCertificateCallback

Package com.sun.jna.platform.win32

# Interface WinCrypt.CryptGetSignerCertificateCallback

All Superinterfaces:
  `AltCallingConvention`, `Callback`, `StdCall`, `StdCallLibrary.StdCallCallback`

Enclosing interface:
  WinCrypt

public static interface WinCrypt.CryptGetSignerCertificateCallback extends StdCallLibrary.StdCallCallback
The CryptGetSignerCertificateCallback user supplied callback function is used with the CRYPT_VERIFY_MESSAGE_PARA structure to get and verify a message signer's certificate.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.sun.jna.Callback

  `Callback.UncaughtExceptionHandler`

- ## Field Summary

  ### Fields inherited from interface com.sun.jna.Callback

  `FORBIDDEN_NAMES, METHOD_NAME`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `WinCrypt.CERT_CONTEXT.ByReference`
  `callback(Pointer pvGetArg, int dwCertEncodingType, WinCrypt.CERT_INFO pSignerId, WinCrypt.HCERTSTORE hMsgCertStore)`

- ## Method Details

  - ### callback

    WinCrypt.CERT_CONTEXT.ByReference callback(Pointer pvGetArg, int dwCertEncodingType, WinCrypt.CERT_INFO pSignerId, WinCrypt.HCERTSTORE hMsgCertStore)
    Parameters:
      `pvGetArg` - A pointer to user-defined data passed on to the verification function as specified in the CRYPT_VERIFY_MESSAGE_PARA structure.
      `dwCertEncodingType` - Specifies the type of encoding used. It is always acceptable to specify both the certificate and message encoding types by combining them with a bitwise-OR operation as shown in the following example:

      `X509_ASN_ENCODING | PKCS_7_ASN_ENCODING`

      Currently defined encoding types are:

      - X509_ASN_ENCODING
      - PKCS_7_ASN_ENCODING
      `pSignerId` - A pointer to a CERT_INFO structure containing the issuer and serial number. Can be NULL if there is no content or signer.
      `hMsgCertStore` - A handle to the certificate store containing all the certificates and CRLs in the signed message.
    Returns:
      Pointer to a read-only `WinCrypt.CERT_CONTEXT` if a signer certificate is found, `null` if the function fails.